For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
      • POSTCreate a list
      • GETGet a list's details
      • GETGet all the lists
      • PUTUpdate a list
      • DELDelete a list
      • GETGet contacts in a list
      • POSTDelete a contact from a list
      • POSTAdd existing contacts to a list
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Contact ManagementLists

Delete a list

DELETE
https://api.brevo.com/v3/contacts/lists/:listId
DELETE
/v3/contacts/lists/:listId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.contacts.deleteList(1);
8}
9main();

Permanently delete a contact list identified by its ID. The contacts in the list are not deleted; they are only removed from this list. Returns a 404 error if the list ID does not exist.

Was this page helpful?
Previous

Get contacts in a list

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

listIdlongRequired
Id of the list

Response

List deleted

Errors

400
Bad Request Error
404
Not Found Error